import com.j256.ormlite.dao.Dao;

import java.sql.SQLException;
import java.util.List;

public class AcctService {

    private Dao<Account, Integer> dao;
    private Console console = new Console();


    public AcctService(Dao<Account, Integer> dao) {
        this.dao = dao;
    }

    public int create(Account account) throws SQLException {
        return dao.create(account);
    }

    public void createAccount() throws SQLException {
        String name = "ACCOUNT_NAME";
        String password = "ACCOUNT_PASSWORD";
        Account account = new Account(name, password);

        create(account);
    }

    public List<Account> read() throws SQLException {
        return dao.queryForAll();
    }

    public void readAccounts(List<Account> accounts) throws SQLException {
        console.tableHeader();
        for (Account account : accounts) {
            console.getAccountInfo(account);
        }
    }

    public int update(Account account) throws SQLException {
        return dao.update(account);
    }

    public void updateAccount() throws SQLException {
        Integer ID = console.getAccountID();
        Account account = getByID(ID);

        String input = console.updateMenu();

        if ("NAME".equals(input)) {
            String name = console.updateName();
            updateName(account, name);
        } else if ("PASSWORD".equals(input)) {
            String password = console.updatePassword();
            updatePassword(account, password);
        }
    }

    public int delete(int id) throws SQLException {
        return dao.deleteById(id);
    }

    public Account getByID(Integer ID) throws SQLException {
        return dao.queryForId(ID);
    }

    public void updateName(Account account, String name) throws SQLException {
        account.setName(name);
        update(account);
    }

    public void updatePassword(Account account, String password) throws SQLException {
        account.setPassword(password);
        update(account);
    }

}