import java.util.Scanner;

public class Console {

    public Scanner scanner = new Scanner(System.in);

    public String inputMenu() {
        System.out.println("\nWhat would you like to do?");
        System.out.println("<< Create - Read - Update - Delete - Quit >>");
        return scanner.nextLine().toUpperCase();
    }

    public Integer getAccountID() {
        System.out.println("\nWhat is the ID of the account you want to update?");
        return scanner.nextInt();
    }

    public String updateMenu() {
        System.out.println("\nWhat would you like to update?");
        System.out.println("<< Name - Password - Back >>");
        return scanner.next().toUpperCase();
    }

    public void getAccountInfo(Account account) {
        System.out.println(accountInfoFormat(account));
    }

    public String accountInfoFormat(Account account) {
        return String.format("%5s | %20s | %20s", account.getId(), account.getName(), account.getPassword());
    }

    public void tableHeader() {
        System.out.println(String.format("\n%5s | %20s | %20s", "ID", "NAME", "PASSWORD"));
    }

    public String updateName() {
        System.out.println("\nWhat is the updated name for the account?");
        scanner.nextLine();
        return scanner.nextLine();
    }

    public String updatePassword() {
        System.out.println("\nWhat is the updated password for the account?");
        return scanner.next();
    }

    public Integer deleteAccount() {
        System.out.println("\nWhat is the ID of the account you want to delete?");
        return scanner.nextInt();
    }

    public void errorMessage() {
        System.out.println("\nThat's not a valid input, please try again.");
    }

    public void successMessage(String input) {
        System.out.println("\n" + input + " completed successfully.");
    }
}
