import com.j256.ormlite.dao.Dao;
import org.junit.Assert;
import org.junit.Test;

import java.sql.SQLException;
import java.util.List;

public class AcctServiceTest {

    // just testing that the connection has actually been made
    Dao<Account, Integer> dao = new MockDao();
    AcctService testService = new AcctService(dao);

    @Test
    public void testCreate() throws SQLException {
        int exp = 100;
        int actual = testService.create(new Account("MOCKACCOUNT", "MOCKPASSWORD"));

        Assert.assertEquals(exp, actual);
    }

    @Test
    public void testRead() throws SQLException{
        List<Account> testList = testService.read();

        String expected = "READACCOUNTS";
        String actual = testList.get(0).getName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testUpdate() throws SQLException {
        int exp = 200;
        int actual = testService.update(new Account("MOCKACCOUNT", "MOCKPASSWORD"));

        Assert.assertEquals(exp, actual);
    }

    @Test
    public void testDelete() throws SQLException{
        int expected = 300;
        int actual = testService.delete(999);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetById() throws SQLException{
        String expected = "QUERYFORID";
        String actual = testService.getByID(999).getName();

        Assert.assertEquals(expected, actual);
    }

}
